
void spradd(struct sprite *sprite, struct spriteset *spriteset) {
  spriteset->size++;
  spriteset->sprites = (struct sprite **) realloc(spriteset->sprites, spriteset->size * sizeof(struct sprite *));
  spriteset->sprites[spriteset->size - 1] = sprite;
}


struct spriteset *createfield(int stjerner) {
  int i;
  Uint32 *p;
  struct sprite *stjerne;
  struct spriteset *himmel = (struct spriteset *) malloc(sizeof(struct spriteset));
  himmel->sprites = (struct sprite **) malloc(sizeof(struct sprite *));
  himmel->size = 0;
  for ( i=0; i < stjerner; i++) {
    stjerne= (struct sprite *) malloc(sizeof(struct sprite));
    stjerne->fjes = SDL_CreateRGBSurface(SDL_HWSURFACE, 1, 1, 32, 0, 0, 0, 0);
    p = stjerne->fjes->pixels;
    *p = 0xFFFFFF;
    stjerne->x = rand() % (ghost->canvas->w - stjerne->fjes->w);
    stjerne->y = rand() % (ghost->canvas->h - stjerne->fjes->h);
    stjerne->vy = 0;
    stjerne->vx = (float)(-rand() % 5 - 1);
    spradd(stjerne, himmel);
  }
  return himmel;
}

void movefield(struct spriteset *himmel, float s) {
  int i;
  for ( i=0; i < himmel->size; i++) {
    himmel->sprites[i]->x += himmel->sprites[i]->vx;
    if (himmel->sprites[i]->x + himmel->sprites[i]->fjes->w < 0) {
      himmel->sprites[i]->x = ghost->canvas->w;
      himmel->sprites[i]->y = rand() % (ghost->canvas->h - himmel->sprites[i]->fjes->h);
      himmel->sprites[i]->vx = -rand() % 5 - 1 * s;
    }

  }

}
/*
void movefield(SDL_Surface *field, int steps, Uint32 c, int d) {
  Uint32 *p;
  Uint32 black;
  int line;
  int strip;
  SDL_Rect pos = { .x = -steps, .y = 0 };
  SDL_BlitSurface(field, NULL, field, &pos);
  black = SDL_MapRGB( field->format, 0, 0, 0 );
  for (line=0; line < field->h; line++){
    for (strip = field->w - steps; strip < field->w; strip++) {
      p = (Uint32 *)field->pixels + strip + (field->w * line);
      *p = black;
      if ( rand() % d == 1 ) *p = c;
    }
  }
}*/
